Обновление PHP и MySQL/MariaDB на CentOS 6/7.

PHP Для установки более новой версии PHP будем использовать репозиторий Remi. Ставим репозиторий, если он еще не установлен: yum install wget -y yum install epel-release -y yum install http://rpms.remirepo.net/enterprise/remi-release-6.rpm #CentOS/RHEL 6 yum install http://rpms.remirepo.net/enterprise/remi-release-7.rpm #CentOS/RHEL 7 Теперь можно выбрать версию PHP которую будем устанавливать, для вывода доступных версий можно использовать Читать дальше…

Простая установка OpenVPN на Linux.

Простая установка OpenVPN  в несколько команд. Для начала подключаемся к серверу по SSH.  Входим под пользователем root или берем права root командой: sudo su Загружаем установочный скрипт и запускаем его. Скрипт взят с ресурса  https://github.com/Nyr/openvpn-install wget https://git.io/vpn -O openvpn-install.sh bash openvpn-install.sh Скрипт запросит IP Вашего сервера, вводим его. Протокол — по умолчанию UDP, Читать дальше…

Настройка удаленного рабочего стола на Linux.

Рассмотрим настройку удаленного рабочего стола на примере Debian 8. Установка выполняется несколькими простыми командами: adduser user apt-get update apt-get install task-lxde-desktop startlxde apt-get install xrdp reboot Более подробная инструкция: Для начала подключаемся к серверу по SSH.  Входим под пользователем root или берем права root командой: sudo su Создаем пользователя без прав Читать дальше…

Исправляем ошибку version `GLIBC_2.14′ not found при установке или обновлении VestaCP.

При установке или после обновления до последней версии панели VestaCP на Debian 7 Wheezy может наблюдатся  ошибка при её запуске: Starting vesta-nginx: vesta-nginx/usr/local/vesta/nginx/sbin/vesta-nginx: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14′ not found (required by /usr/local/vesta/nginx/sbin/vesta-nginx Для её исправления нам нужно обновить модуль libc.so. до версии 2.14. Подключаем репозитарий, с которого будет обновлятся модуль: echo «deb Читать дальше…

Установка Microsoft .NET Framework 3.5 на Windows Sever 2012.

Довольно много приложений для своей работы в Windows Server 2012 требуют наличия установленного .Net Framework  3.5, несмотря на наличие .NET Framework 4.6, установленного по умолчанию. При попытке установить его, скачав инсталлятор на официальном сайте мы получим ошибку: Чтобы выполнить установку запускаем «Диспетчер серверов»(он уже есть на панели задач), в нем Читать дальше…